require 'manageiq/network_discovery/port_scanner'

# Ports:
#        5900 - Microsoft Virtual Machine Remote Control Client

module ManageIQ
  module NetworkDiscovery
    class MSScvmmProbe
      def self.probe(ost)
        unless ost.discover_types.include?(:scvmm)
          $log.debug "Skipping MSScvmmProbe" if $log
          return
        end

        $log.debug "MSScvmmProbe: probing ip = #{ost.ipaddr}" if $log
        ost.hypervisor << :scvmm if PortScanner.scanPortArray(ost, [135, 139, 8100]).length == 3
        $log.debug "MSScvmmProbe: probe of ip = #{ost.ipaddr} complete" if $log
      end
    end
  end
end